import {getOptions}from'loader-utils';const defaultOptions = {
    search: null,
    replace: null,
    flags: null,
    strict: false,
};
function getOptionsArray(config) {
    const rawOptions = getOptions(config);
    const rawOptionsArray = typeof rawOptions.multiple !== 'undefined' ? rawOptions.multiple : [rawOptions];
    const optionsArray = [];
    for (const optionsIndex in rawOptionsArray) {
        // validate(optionsSchema, rawOptionsArray[optionsIndex], { name: loaderName });
        optionsArray[optionsIndex] = Object.assign({}, defaultOptions, rawOptionsArray[optionsIndex]);
    }
    return optionsArray;
}export{getOptionsArray as default};//# sourceMappingURL=getOptionsArray.mjs.map
