import envStore from'./envStore.mjs';// https://rohinbisht.medium.com/writing-a-custom-webpack-plugin-99126468516e
class EnvListWebpackPlugin {
    constructor(options = {}) {
        //@ts-ignore
        this.processor = options.processor;
    }
    validateFile(fileName) {
        console.log('-VALIDATE', fileName);
        return /\.js$/.test(fileName);
    }
    apply(compiler) {
        compiler.hooks.done.tap('EnvListWebpackPlugin', (compilation) => {
            envStore.printDetails();
        });
    }
}export{EnvListWebpackPlugin as default};//# sourceMappingURL=plugin.mjs.map
